axiethernet: XAvb_PtpStruct Struct Reference

| axiethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAvb_PtpStruct Struct Reference

This typedef defines the format for a data structure which stores information relating to the 1588 based PTP timing calculations. More...

## Data Fields
u32 | Nanosec
| ns value for sync frame tx request More...
u32 | SlaveSyncTimestamp
| The timestamp taken of a rx'd sync. More...
u32 | MasterCorrectionField
| Correction Field from rx'd follow-up. More...
u32 | PDelayTimestampT1
| T1 :PDelayReq Frame transmission. More...
u32 | PDelayTimestampT2
| T2 :PDelayReq rx'd at link partner. More...
u32 | PDelayTimestampT3
| T3 :PDelayResp Frame reception. More...
u32 | PDelayTimestampT4
| T4 :PDelayResp tx'd by link partner. More...
u32 | LinkDelay
| Last calculated value of Link Delay. More...
u32 | NewSlaveTime
| RTC ns at slave for last rx'd sync. More...
u32 | NewMasterTime
| RTC ns at master for last tx'd sync. More...
u32 | OldSlaveTime
| Stored RTC slave ns for past sync rx. More...
u32 | OldMasterTime
| Stored RTC master ns for past sync tx. More...
u32 | NsOffsetForPDelayResp
| RTC ns offset at PDelayResp tx time. More...

## Detailed Description

This typedef defines the format for a data structure which stores information relating to the 1588 based PTP timing calculations.

## Field Documentation

u32 XAvb_PtpStruct::LinkDelay

Last calculated value of Link Delay.

Referenced by XAvb_CalcDelay(), XAvb_CalcRtcOffset(), and XAvb_Reset().

u32 XAvb_PtpStruct::MasterCorrectionField

Correction Field from rx'd follow-up.

Referenced by XAvb_CalcRtcOffset(), and XAvb_DecodeRxFollowUp().

u32 XAvb_PtpStruct::Nanosec

ns value for sync frame tx request

Referenced by XAvb_MasterSendFollowUp(), and XAvb_MasterSendSync().

u32 XAvb_PtpStruct::NewMasterTime

RTC ns at master for last tx'd sync.

Referenced by XAvb_CalcRtcOffset(), XAvb_DecodeRxFollowUp(), and XAvb_UpdateRtcIncrement().

u32 XAvb_PtpStruct::NewSlaveTime

RTC ns at slave for last rx'd sync.

Referenced by XAvb_CalcRtcOffset(), XAvb_DecodeRxFollowUp(), and XAvb_UpdateRtcIncrement().

u32 XAvb_PtpStruct::NsOffsetForPDelayResp

RTC ns offset at PDelayResp tx time.

Referenced by XAvb_SendPDelayResp(), and XAvb_SendPDelayRespFollowUp().

u32 XAvb_PtpStruct::OldMasterTime

Stored RTC master ns for past sync tx.

Referenced by XAvb_DecodeRxFollowUp(), and XAvb_UpdateRtcIncrement().

u32 XAvb_PtpStruct::OldSlaveTime

Stored RTC slave ns for past sync rx.

Referenced by XAvb_DecodeRxFollowUp(), and XAvb_UpdateRtcIncrement().

u32 XAvb_PtpStruct::PDelayTimestampT1

T1 :PDelayReq Frame transmission.

Referenced by XAvb_CalcDelay(), and XAvb_SendPDelayReq().

u32 XAvb_PtpStruct::PDelayTimestampT2

T2 :PDelayReq rx'd at link partner.

Referenced by XAvb_CalcDelay(), and XAvb_DecodeRxPDelayResp().

u32 XAvb_PtpStruct::PDelayTimestampT3

T3 :PDelayResp Frame reception.

Referenced by XAvb_CalcDelay(), and XAvb_DecodeRxPDelayRespFollowUp().

u32 XAvb_PtpStruct::PDelayTimestampT4

T4 :PDelayResp tx'd by link partner.

Referenced by XAvb_CalcDelay(), and XAvb_DecodeRxPDelayResp().

u32 XAvb_PtpStruct::SlaveSyncTimestamp

The timestamp taken of a rx'd sync.

Referenced by XAvb_CalcRtcOffset(), and XAvb_DecodeRxSync().